using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.SearchModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.BusinessLogicContracts
{
    public interface ICaseLogic
    {
        List<CaseViewModel>? ReadList(CaseSearchModel? model);
        CaseViewModel? ReadElement(CaseSearchModel model);
        bool Create(CaseBindingModel model);
        bool Update(CaseBindingModel model);
        bool Delete(CaseBindingModel model);
        List<SpecializationCasesViewModel> GetSpecializationCases();
    }
}
